Bug 415652

Summary: Starting Amarok on FreeBSD 12.1-RELEASE causes plasma to crash.
Product: amarok Reporter: tedhaining
Component: generalAssignee: Amarok Developers <amarok-bugs-dist>
Status: RESOLVED WORKSFORME    
Severity: crash Keywords: drkonqi
Priority: NOR    
Version: unspecified   
Target Milestone: kf5   
Platform: FreeBSD Ports   
OS: FreeBSD   
Latest Commit: Version Fixed In:

Description tedhaining 2019-12-28 17:23:42 UTC
Application: amarok (2.9.70)

Qt Version: 5.13.0
Frameworks Version: 5.62.0
Operating System: FreeBSD 12.1-RELEASE amd64
Distribution (Platform): FreeBSD Ports

-- Information about the crash:
- What I was doing when the application crashed:

Simply trying to start Amarok from the package repo install for FreeBSD 12.1-RELEASE.   This caused plasma to crash. 

- Unusual behavior I noticed:

None. 

- Custom settings of the application:

Aside from some kernel-level audio driver settings, this is on a freshly installed FreeBSD 12.1-RELEASE system running on a ZFS-root filesystem.

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Bus error
(lldb) process attach --pid 1314
Process 1314 stopped

Executable module set to "/usr/local/bin/amarok".
Architecture set to: x86_64--freebsd12.0.
(lldb) set term-width 200
(lldb) thread info
thread #1: tid = 100795, 0x000000080ad7093a libc.so.7`__sys_nanosleep + 10, name = 'amarok'

(lldb) bt all
* thread #1, name = 'amarok'
  * frame #0: 0x000000080ad7093a libc.so.7`__sys_nanosleep + 10
    frame #1: 0x000000080a5b911c libthr.so.3`___lldb_unnamed_symbol36$$libthr.so.3 + 44
    frame #2: 0x000000080acd791b libc.so.7`__sleep + 59
    frame #3: 0x00000008020a953a libKF5Crash.so.5`___lldb_unnamed_symbol6$$libKF5Crash.so.5 + 1450
    frame #4: 0x00000008020a8c4c libKF5Crash.so.5`KCrash::defaultCrashHandler(int) + 1484
    frame #5: 0x000000080a5bc3c0 libthr.so.3`___lldb_unnamed_symbol101$$libthr.so.3 + 208
    frame #6: 0x000000080a5bb98f libthr.so.3`___lldb_unnamed_symbol82$$libthr.so.3 + 319
    frame #7: 0x00007ffffffff193
    frame #8: 0x0000000800721acc libamaroklib.so.1`___lldb_unnamed_symbol3553$$libamaroklib.so.1 + 28
    frame #9: 0x000000080aa84e4f libQt5Core.so.5`___lldb_unnamed_symbol2518$$libQt5Core.so.5 + 175
    frame #10: 0x000000080aa75093 libQt5Core.so.5`QObject::event(QEvent*) + 131
    frame #11: 0x00000008024829f1 libQt5Widgets.so.5`QApplicationPrivate::notify_helper(QObject*, QEvent*) + 273
    frame #12: 0x0000000802483f38 libQt5Widgets.so.5`QApplication::notify(QObject*, QEvent*) + 632
    frame #13: 0x000000080aa48ad1 libQt5Core.so.5`QCoreApplication::notifyInternal2(QObject*, QEvent*) + 209
    frame #14: 0x000000080aaa0da0 libQt5Core.so.5`QTimerInfoList::activateTimers() + 1024
    frame #15: 0x000000080aaa2881 libQt5Core.so.5`___lldb_unnamed_symbol2645$$libQt5Core.so.5 + 33
    frame #16: 0x000000080e8bab77 libglib-2.0.so.0`g_main_context_dispatch + 311
    frame #17: 0x000000080e8baf03 libglib-2.0.so.0`___lldb_unnamed_symbol117$$libglib-2.0.so.0 + 515
    frame #18: 0x000000080e8bafb4 libglib-2.0.so.0`g_main_context_iteration + 100
    frame #19: 0x000000080aaa1d76 libQt5Core.so.5`QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 102
    frame #20: 0x000000080aa443de libQt5Core.so.5`QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 462
    frame #21: 0x000000080aa491ee libQt5Core.so.5`QCoreApplication::exec() + 142
    frame #22: 0x00000000002136c7 amarok`___lldb_unnamed_symbol4$$amarok + 58231
    frame #23: 0x000000000020511b amarok`___lldb_unnamed_symbol1$$amarok + 283
  thread #2, name = 'amarok'
    frame #0: 0x000000080ade0dfa libc.so.7`__sys_read + 10
    frame #1: 0x000000080a5b9326 libthr.so.3`___lldb_unnamed_symbol40$$libthr.so.3 + 54
    frame #2: 0x000000080e901b5f libglib-2.0.so.0`___lldb_unnamed_symbol313$$libglib-2.0.so.0 + 63
    frame #3: 0x000000080e8ba784 libglib-2.0.so.0`g_main_context_check + 148
    frame #4: 0x000000080e8baef2 libglib-2.0.so.0`___lldb_unnamed_symbol117$$libglib-2.0.so.0 + 498
    frame #5: 0x000000080e8bafb4 libglib-2.0.so.0`g_main_context_iteration + 100
    frame #6: 0x000000080aaa1d9b libQt5Core.so.5`QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 139
    frame #7: 0x000000080aa443de libQt5Core.so.5`QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 462
    frame #8: 0x000000080a86c4a9 libQt5Core.so.5`QThread::exec() + 169
    frame #9: 0x0000000802a19aa3 libQt5DBus.so.5`___lldb_unnamed_symbol12$$libQt5DBus.so.5 + 19
    frame #10: 0x000000080a86d4a4 libQt5Core.so.5`___lldb_unnamed_symbol209$$libQt5Core.so.5 + 228
    frame #11: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #3, name = 'amarok'
    frame #0: 0x000000080adc917a libc.so.7`_kevent + 10
    frame #1: 0x000000080a5b97e3 libthr.so.3`___lldb_unnamed_symbol52$$libthr.so.3 + 83
    frame #2: 0x0000000819249632 amarok_storage-mysqlestorage.so`___lldb_unnamed_symbol854$$amarok_storage-mysqlestorage.so + 82
    frame #3: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #4, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x00000008193bf2f1 amarok_storage-mysqlestorage.so`os_event::wait_low(long) + 81
    frame #3: 0x000000081946042e amarok_storage-mysqlestorage.so`os_aio_handler(unsigned long, fil_node_t**, void**, IORequest*) + 1262
    frame #4: 0x0000000819456570 amarok_storage-mysqlestorage.so`fil_aio_wait(unsigned long) + 96
    frame #5: 0x0000000819542538 amarok_storage-mysqlestorage.so`io_handler_thread + 264
    frame #6: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #5, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x00000008193bf2f1 amarok_storage-mysqlestorage.so`os_event::wait_low(long) + 81
    frame #3: 0x000000081946042e amarok_storage-mysqlestorage.so`os_aio_handler(unsigned long, fil_node_t**, void**, IORequest*) + 1262
    frame #4: 0x0000000819456570 amarok_storage-mysqlestorage.so`fil_aio_wait(unsigned long) + 96
    frame #5: 0x0000000819542538 amarok_storage-mysqlestorage.so`io_handler_thread + 264
    frame #6: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #6, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x00000008193bf2f1 amarok_storage-mysqlestorage.so`os_event::wait_low(long) + 81
    frame #3: 0x000000081946042e amarok_storage-mysqlestorage.so`os_aio_handler(unsigned long, fil_node_t**, void**, IORequest*) + 1262
    frame #4: 0x0000000819456570 amarok_storage-mysqlestorage.so`fil_aio_wait(unsigned long) + 96
    frame #5: 0x0000000819542538 amarok_storage-mysqlestorage.so`io_handler_thread + 264
    frame #6: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #7, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x00000008193bf2f1 amarok_storage-mysqlestorage.so`os_event::wait_low(long) + 81
    frame #3: 0x000000081946042e amarok_storage-mysqlestorage.so`os_aio_handler(unsigned long, fil_node_t**, void**, IORequest*) + 1262
    frame #4: 0x0000000819456570 amarok_storage-mysqlestorage.so`fil_aio_wait(unsigned long) + 96
    frame #5: 0x0000000819542538 amarok_storage-mysqlestorage.so`io_handler_thread + 264
    frame #6: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #8, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x00000008193bf2f1 amarok_storage-mysqlestorage.so`os_event::wait_low(long) + 81
    frame #3: 0x000000081946042e amarok_storage-mysqlestorage.so`os_aio_handler(unsigned long, fil_node_t**, void**, IORequest*) + 1262
    frame #4: 0x0000000819456570 amarok_storage-mysqlestorage.so`fil_aio_wait(unsigned long) + 96
    frame #5: 0x0000000819542538 amarok_storage-mysqlestorage.so`io_handler_thread + 264
    frame #6: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #9, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x00000008193bf2f1 amarok_storage-mysqlestorage.so`os_event::wait_low(long) + 81
    frame #3: 0x000000081946042e amarok_storage-mysqlestorage.so`os_aio_handler(unsigned long, fil_node_t**, void**, IORequest*) + 1262
    frame #4: 0x0000000819456570 amarok_storage-mysqlestorage.so`fil_aio_wait(unsigned long) + 96
    frame #5: 0x0000000819542538 amarok_storage-mysqlestorage.so`io_handler_thread + 264
    frame #6: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #10, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x00000008193bf2f1 amarok_storage-mysqlestorage.so`os_event::wait_low(long) + 81
    frame #3: 0x000000081946042e amarok_storage-mysqlestorage.so`os_aio_handler(unsigned long, fil_node_t**, void**, IORequest*) + 1262
    frame #4: 0x0000000819456570 amarok_storage-mysqlestorage.so`fil_aio_wait(unsigned long) + 96
    frame #5: 0x0000000819542538 amarok_storage-mysqlestorage.so`io_handler_thread + 264
    frame #6: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #11, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x00000008193bf2f1 amarok_storage-mysqlestorage.so`os_event::wait_low(long) + 81
    frame #3: 0x000000081946042e amarok_storage-mysqlestorage.so`os_aio_handler(unsigned long, fil_node_t**, void**, IORequest*) + 1262
    frame #4: 0x0000000819456570 amarok_storage-mysqlestorage.so`fil_aio_wait(unsigned long) + 96
    frame #5: 0x0000000819542538 amarok_storage-mysqlestorage.so`io_handler_thread + 264
    frame #6: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #12, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x00000008193bf2f1 amarok_storage-mysqlestorage.so`os_event::wait_low(long) + 81
    frame #3: 0x000000081946042e amarok_storage-mysqlestorage.so`os_aio_handler(unsigned long, fil_node_t**, void**, IORequest*) + 1262
    frame #4: 0x0000000819456570 amarok_storage-mysqlestorage.so`fil_aio_wait(unsigned long) + 96
    frame #5: 0x0000000819542538 amarok_storage-mysqlestorage.so`io_handler_thread + 264
    frame #6: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #13, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x00000008193bf2f1 amarok_storage-mysqlestorage.so`os_event::wait_low(long) + 81
    frame #3: 0x000000081946042e amarok_storage-mysqlestorage.so`os_aio_handler(unsigned long, fil_node_t**, void**, IORequest*) + 1262
    frame #4: 0x0000000819456570 amarok_storage-mysqlestorage.so`fil_aio_wait(unsigned long) + 96
    frame #5: 0x0000000819542538 amarok_storage-mysqlestorage.so`io_handler_thread + 264
    frame #6: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #14, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x00000008193bf076 amarok_storage-mysqlestorage.so`os_event::timed_wait(timespec const*) + 54
    frame #3: 0x00000008193bf936 amarok_storage-mysqlestorage.so`os_event::wait_time_low(unsigned long, long) + 166
    frame #4: 0x0000000819428382 amarok_storage-mysqlestorage.so`buf_flush_page_cleaner_coordinator + 4418
    frame #5: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #15, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x00000008193bf076 amarok_storage-mysqlestorage.so`os_event::timed_wait(timespec const*) + 54
    frame #3: 0x00000008193bf936 amarok_storage-mysqlestorage.so`os_event::wait_time_low(unsigned long, long) + 166
    frame #4: 0x00000008195d7080 amarok_storage-mysqlestorage.so`lock_wait_timeout_thread + 144
    frame #5: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #16, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x00000008193bf076 amarok_storage-mysqlestorage.so`os_event::timed_wait(timespec const*) + 54
    frame #3: 0x00000008193bf936 amarok_storage-mysqlestorage.so`os_event::wait_time_low(unsigned long, long) + 166
    frame #4: 0x00000008193d6eef amarok_storage-mysqlestorage.so`srv_error_monitor_thread + 1887
    frame #5: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #17, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x00000008193bf076 amarok_storage-mysqlestorage.so`os_event::timed_wait(timespec const*) + 54
    frame #3: 0x00000008193bf936 amarok_storage-mysqlestorage.so`os_event::wait_time_low(unsigned long, long) + 166
    frame #4: 0x00000008193d65a4 amarok_storage-mysqlestorage.so`srv_monitor_thread + 164
    frame #5: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #18, name = 'amarok'
    frame #0: 0x000000080ad7093a libc.so.7`__sys_nanosleep + 10
    frame #1: 0x000000080a5b911c libthr.so.3`___lldb_unnamed_symbol36$$libthr.so.3 + 44
    frame #2: 0x00000008193b8fff amarok_storage-mysqlestorage.so`os_thread_sleep(unsigned long) + 79
    frame #3: 0x00000008193d7625 amarok_storage-mysqlestorage.so`srv_master_thread + 309
    frame #4: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #19, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x00000008193bf2f1 amarok_storage-mysqlestorage.so`os_event::wait_low(long) + 81
    frame #3: 0x00000008193d9009 amarok_storage-mysqlestorage.so`srv_purge_coordinator_thread + 1225
    frame #4: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #20, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x00000008193bf2f1 amarok_storage-mysqlestorage.so`os_event::wait_low(long) + 81
    frame #3: 0x00000008193d8647 amarok_storage-mysqlestorage.so`srv_worker_thread + 583
    frame #4: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #21, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x00000008193bf2f1 amarok_storage-mysqlestorage.so`os_event::wait_low(long) + 81
    frame #3: 0x00000008193d8647 amarok_storage-mysqlestorage.so`srv_worker_thread + 583
    frame #4: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #22, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x00000008193bf2f1 amarok_storage-mysqlestorage.so`os_event::wait_low(long) + 81
    frame #3: 0x00000008193d8647 amarok_storage-mysqlestorage.so`srv_worker_thread + 583
    frame #4: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #23, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x00000008193bf2f1 amarok_storage-mysqlestorage.so`os_event::wait_low(long) + 81
    frame #3: 0x00000008195b4bda amarok_storage-mysqlestorage.so`buf_dump_thread + 170
    frame #4: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #24, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x00000008193bf076 amarok_storage-mysqlestorage.so`os_event::timed_wait(timespec const*) + 54
    frame #3: 0x00000008193bf936 amarok_storage-mysqlestorage.so`os_event::wait_time_low(unsigned long, long) + 166
    frame #4: 0x000000081959fc76 amarok_storage-mysqlestorage.so`dict_stats_thread + 150
    frame #5: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #25, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x00000008193bf076 amarok_storage-mysqlestorage.so`os_event::timed_wait(timespec const*) + 54
    frame #3: 0x00000008193bf936 amarok_storage-mysqlestorage.so`os_event::wait_time_low(unsigned long, long) + 166
    frame #4: 0x00000008194b6177 amarok_storage-mysqlestorage.so`ib_wqueue_timedwait(ib_wqueue_t*, long) + 295
    frame #5: 0x000000081959c12e amarok_storage-mysqlestorage.so`fts_optimize_thread(void*) + 1070
    frame #6: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #26, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x00000008193bf2f1 amarok_storage-mysqlestorage.so`os_event::wait_low(long) + 81
    frame #3: 0x00000008193f2a64 amarok_storage-mysqlestorage.so`buf_resize_thread + 164
    frame #4: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #27, name = 'amarok'
    frame #0: 0x000000080adc917a libc.so.7`_kevent + 10
    frame #1: 0x000000080a5b97e3 libthr.so.3`___lldb_unnamed_symbol52$$libthr.so.3 + 83
    frame #2: 0x000000080b444bc5 libinotify.so.0`___lldb_unnamed_symbol71$$libinotify.so.0 + 101
    frame #3: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #28, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x000000080a875ae7 libQt5Core.so.5`___lldb_unnamed_symbol264$$libQt5Core.so.5 + 119
    frame #3: 0x000000080a8757fe libQt5Core.so.5`QWaitCondition::wait(QMutex*, QDeadlineTimer) + 126
    frame #4: 0x000000080a87572e libQt5Core.so.5`QWaitCondition::wait(QMutex*, unsigned long) + 78
    frame #5: 0x00000008008bf12d libamaroklib.so.1`AbstractDirectoryWatcher::run(QSharedPointer<ThreadWeaver::JobInterface>, ThreadWeaver::Thread*) + 77
    frame #6: 0x0000000802a9ad7a libKF5ThreadWeaver.so.5`ThreadWeaver::Executor::run(QSharedPointer<ThreadWeaver::JobInterface> const&, ThreadWeaver::Thread*) + 74
    frame #7: 0x0000000802a99a4f libKF5ThreadWeaver.so.5`ThreadWeaver::Job::execute(QSharedPointer<ThreadWeaver::JobInterface> const&, ThreadWeaver::Thread*) + 63
    frame #8: 0x0000000802a996cd libKF5ThreadWeaver.so.5`ThreadWeaver::Thread::run() + 301
    frame #9: 0x000000080a86d4a4 libQt5Core.so.5`___lldb_unnamed_symbol209$$libQt5Core.so.5 + 228
    frame #10: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #29, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x000000080a875abb libQt5Core.so.5`___lldb_unnamed_symbol264$$libQt5Core.so.5 + 75
    frame #3: 0x000000080a8757fe libQt5Core.so.5`QWaitCondition::wait(QMutex*, QDeadlineTimer) + 126
    frame #4: 0x0000000802a97403 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) + 787
    frame #5: 0x0000000802a9b730 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 80
    frame #6: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #7: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #8: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #9: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #10: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #11: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #12: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #13: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #14: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #15: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #16: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #17: 0x0000000802a99621 libKF5ThreadWeaver.so.5`ThreadWeaver::Thread::run() + 129
    frame #18: 0x000000080a86d4a4 libQt5Core.so.5`___lldb_unnamed_symbol209$$libQt5Core.so.5 + 228
    frame #19: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #30, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x000000080a875abb libQt5Core.so.5`___lldb_unnamed_symbol264$$libQt5Core.so.5 + 75
    frame #3: 0x000000080a8757fe libQt5Core.so.5`QWaitCondition::wait(QMutex*, QDeadlineTimer) + 126
    frame #4: 0x0000000802a97403 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) + 787
    frame #5: 0x0000000802a9b730 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 80
    frame #6: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #7: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #8: 0x0000000802a99621 libKF5ThreadWeaver.so.5`ThreadWeaver::Thread::run() + 129
    frame #9: 0x000000080a86d4a4 libQt5Core.so.5`___lldb_unnamed_symbol209$$libQt5Core.so.5 + 228
    frame #10: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #31, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x000000080a875abb libQt5Core.so.5`___lldb_unnamed_symbol264$$libQt5Core.so.5 + 75
    frame #3: 0x000000080a8757fe libQt5Core.so.5`QWaitCondition::wait(QMutex*, QDeadlineTimer) + 126
    frame #4: 0x0000000802a97403 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) + 787
    frame #5: 0x0000000802a9b730 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 80
    frame #6: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #7: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #8: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #9: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #10: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #11: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #12: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #13: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #14: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #15: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #16: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #17: 0x0000000802a99621 libKF5ThreadWeaver.so.5`ThreadWeaver::Thread::run() + 129
    frame #18: 0x000000080a86d4a4 libQt5Core.so.5`___lldb_unnamed_symbol209$$libQt5Core.so.5 + 228
    frame #19: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #32, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x000000080a875abb libQt5Core.so.5`___lldb_unnamed_symbol264$$libQt5Core.so.5 + 75
    frame #3: 0x000000080a8757fe libQt5Core.so.5`QWaitCondition::wait(QMutex*, QDeadlineTimer) + 126
    frame #4: 0x0000000802a97403 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) + 787
    frame #5: 0x0000000802a9b730 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 80
    frame #6: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #7: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #8: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #9: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #10: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #11: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #12: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #13: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #14: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #15: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #16: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #17: 0x0000000802a99621 libKF5ThreadWeaver.so.5`ThreadWeaver::Thread::run() + 129
    frame #18: 0x000000080a86d4a4 libQt5Core.so.5`___lldb_unnamed_symbol209$$libQt5Core.so.5 + 228
    frame #19: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #33, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x000000080a875abb libQt5Core.so.5`___lldb_unnamed_symbol264$$libQt5Core.so.5 + 75
    frame #3: 0x000000080a8757fe libQt5Core.so.5`QWaitCondition::wait(QMutex*, QDeadlineTimer) + 126
    frame #4: 0x0000000802a97403 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) + 787
    frame #5: 0x0000000802a9b730 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 80
    frame #6: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #7: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #8: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #9: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #10: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #11: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #12: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #13: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #14: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #15: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #16: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #17: 0x0000000802a99621 libKF5ThreadWeaver.so.5`ThreadWeaver::Thread::run() + 129
    frame #18: 0x000000080a86d4a4 libQt5Core.so.5`___lldb_unnamed_symbol209$$libQt5Core.so.5 + 228
    frame #19: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #34, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x000000080a875abb libQt5Core.so.5`___lldb_unnamed_symbol264$$libQt5Core.so.5 + 75
    frame #3: 0x000000080a8757fe libQt5Core.so.5`QWaitCondition::wait(QMutex*, QDeadlineTimer) + 126
    frame #4: 0x0000000802a97403 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) + 787
    frame #5: 0x0000000802a9b730 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 80
    frame #6: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #7: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #8: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #9: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #10: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #11: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #12: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #13: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #14: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #15: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #16: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #17: 0x0000000802a99621 libKF5ThreadWeaver.so.5`ThreadWeaver::Thread::run() + 129
    frame #18: 0x000000080a86d4a4 libQt5Core.so.5`___lldb_unnamed_symbol209$$libQt5Core.so.5 + 228
    frame #19: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #35, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x000000080a875abb libQt5Core.so.5`___lldb_unnamed_symbol264$$libQt5Core.so.5 + 75
    frame #3: 0x000000080a8757fe libQt5Core.so.5`QWaitCondition::wait(QMutex*, QDeadlineTimer) + 126
    frame #4: 0x0000000802a97403 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) + 787
    frame #5: 0x0000000802a9b730 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 80
    frame #6: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #7: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #8: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #9: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #10: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #11: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #12: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #13: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #14: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #15: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #16: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #17: 0x0000000802a99621 libKF5ThreadWeaver.so.5`ThreadWeaver::Thread::run() + 129
    frame #18: 0x000000080a86d4a4 libQt5Core.so.5`___lldb_unnamed_symbol209$$libQt5Core.so.5 + 228
    frame #19: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #36, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x000000080a875abb libQt5Core.so.5`___lldb_unnamed_symbol264$$libQt5Core.so.5 + 75
    frame #3: 0x000000080a8757fe libQt5Core.so.5`QWaitCondition::wait(QMutex*, QDeadlineTimer) + 126
    frame #4: 0x0000000802a97403 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) + 787
    frame #5: 0x0000000802a9b730 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 80
    frame #6: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #7: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #8: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #9: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #10: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #11: 0x0000000802a99621 libKF5ThreadWeaver.so.5`ThreadWeaver::Thread::run() + 129
    frame #12: 0x000000080a86d4a4 libQt5Core.so.5`___lldb_unnamed_symbol209$$libQt5Core.so.5 + 228
    frame #13: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #37, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x000000080a875abb libQt5Core.so.5`___lldb_unnamed_symbol264$$libQt5Core.so.5 + 75
    frame #3: 0x000000080a8757fe libQt5Core.so.5`QWaitCondition::wait(QMutex*, QDeadlineTimer) + 126
    frame #4: 0x0000000802a97403 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) + 787
    frame #5: 0x0000000802a9b730 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 80
    frame #6: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #7: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #8: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #9: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #10: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #11: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #12: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #13: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #14: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #15: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #16: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #17: 0x0000000802a99621 libKF5ThreadWeaver.so.5`ThreadWeaver::Thread::run() + 129
    frame #18: 0x000000080a86d4a4 libQt5Core.so.5`___lldb_unnamed_symbol209$$libQt5Core.so.5 + 228
    frame #19: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #38, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x000000080a875abb libQt5Core.so.5`___lldb_unnamed_symbol264$$libQt5Core.so.5 + 75
    frame #3: 0x000000080a8757fe libQt5Core.so.5`QWaitCondition::wait(QMutex*, QDeadlineTimer) + 126
    frame #4: 0x0000000802a97403 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) + 787
    frame #5: 0x0000000802a9b730 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 80
    frame #6: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #7: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #8: 0x0000000802a99621 libKF5ThreadWeaver.so.5`ThreadWeaver::Thread::run() + 129
    frame #9: 0x000000080a86d4a4 libQt5Core.so.5`___lldb_unnamed_symbol209$$libQt5Core.so.5 + 228
    frame #10: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #39, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x000000080a875abb libQt5Core.so.5`___lldb_unnamed_symbol264$$libQt5Core.so.5 + 75
    frame #3: 0x000000080a8757fe libQt5Core.so.5`QWaitCondition::wait(QMutex*, QDeadlineTimer) + 126
    frame #4: 0x0000000802a97403 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) + 787
    frame #5: 0x0000000802a9b730 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 80
    frame #6: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #7: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #8: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #9: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #10: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #11: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #12: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #13: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #14: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #15: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #16: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #17: 0x0000000802a99621 libKF5ThreadWeaver.so.5`ThreadWeaver::Thread::run() + 129
    frame #18: 0x000000080a86d4a4 libQt5Core.so.5`___lldb_unnamed_symbol209$$libQt5Core.so.5 + 228
    frame #19: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #40, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x000000080a875abb libQt5Core.so.5`___lldb_unnamed_symbol264$$libQt5Core.so.5 + 75
    frame #3: 0x000000080a8757fe libQt5Core.so.5`QWaitCondition::wait(QMutex*, QDeadlineTimer) + 126
    frame #4: 0x0000000802a97403 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) + 787
    frame #5: 0x0000000802a9b730 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 80
    frame #6: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #7: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #8: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #9: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #10: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #11: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #12: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #13: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #14: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #15: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #16: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #17: 0x0000000802a99621 libKF5ThreadWeaver.so.5`ThreadWeaver::Thread::run() + 129
    frame #18: 0x000000080a86d4a4 libQt5Core.so.5`___lldb_unnamed_symbol209$$libQt5Core.so.5 + 228
    frame #19: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #41, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x000000080a875abb libQt5Core.so.5`___lldb_unnamed_symbol264$$libQt5Core.so.5 + 75
    frame #3: 0x000000080a8757fe libQt5Core.so.5`QWaitCondition::wait(QMutex*, QDeadlineTimer) + 126
    frame #4: 0x0000000802a97403 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) + 787
    frame #5: 0x0000000802a9b730 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 80
    frame #6: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #7: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #8: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #9: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #10: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #11: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #12: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #13: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #14: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #15: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #16: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #17: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #18: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #19: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #20: 0x0000000802a99621 libKF5ThreadWeaver.so.5`ThreadWeaver::Thread::run() + 129
    frame #21: 0x000000080a86d4a4 libQt5Core.so.5`___lldb_unnamed_symbol209$$libQt5Core.so.5 + 228
    frame #22: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #42, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x000000080a875abb libQt5Core.so.5`___lldb_unnamed_symbol264$$libQt5Core.so.5 + 75
    frame #3: 0x000000080a8757fe libQt5Core.so.5`QWaitCondition::wait(QMutex*, QDeadlineTimer) + 126
    frame #4: 0x0000000802a97403 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) + 787
    frame #5: 0x0000000802a9b730 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 80
    frame #6: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #7: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #8: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #9: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #10: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #11: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #12: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #13: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #14: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #15: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #16: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #17: 0x0000000802a99621 libKF5ThreadWeaver.so.5`ThreadWeaver::Thread::run() + 129
    frame #18: 0x000000080a86d4a4 libQt5Core.so.5`___lldb_unnamed_symbol209$$libQt5Core.so.5 + 228
    frame #19: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #43, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x000000080a875abb libQt5Core.so.5`___lldb_unnamed_symbol264$$libQt5Core.so.5 + 75
    frame #3: 0x000000080a8757fe libQt5Core.so.5`QWaitCondition::wait(QMutex*, QDeadlineTimer) + 126
    frame #4: 0x0000000802a97403 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) + 787
    frame #5: 0x0000000802a9b730 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 80
    frame #6: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #7: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #8: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #9: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #10: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #11: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #12: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #13: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #14: 0x0000000802a9b787 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol134$$libKF5ThreadWeaver.so.5 + 167
    frame #15: 0x0000000802a9b812 libKF5ThreadWeaver.so.5`___lldb_unnamed_symbol135$$libKF5ThreadWeaver.so.5 + 18
    frame #16: 0x0000000802a97651 libKF5ThreadWeaver.so.5`ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) + 49
    frame #17: 0x0000000802a99621 libKF5ThreadWeaver.so.5`ThreadWeaver::Thread::run() + 129
    frame #18: 0x000000080a86d4a4 libQt5Core.so.5`___lldb_unnamed_symbol209$$libQt5Core.so.5 + 228
    frame #19: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #44, name = 'amarok'
    frame #0: 0x000000080ad8312a libc.so.7`__sys_poll + 10
    frame #1: 0x000000080a5b9246 libthr.so.3`___lldb_unnamed_symbol38$$libthr.so.3 + 54
    frame #2: 0x000000080e8baea7 libglib-2.0.so.0`___lldb_unnamed_symbol117$$libglib-2.0.so.0 + 423
    frame #3: 0x000000080e8bafb4 libglib-2.0.so.0`g_main_context_iteration + 100
    frame #4: 0x000000080aaa1d9b libQt5Core.so.5`QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 139
    frame #5: 0x000000080aa443de libQt5Core.so.5`QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 462
    frame #6: 0x000000080a86c4a9 libQt5Core.so.5`QThread::exec() + 169
    frame #7: 0x000000080a1d13b9 libQt5Qml.so.5`___lldb_unnamed_symbol5332$$libQt5Qml.so.5 + 57
    frame #8: 0x000000080a86d4a4 libQt5Core.so.5`___lldb_unnamed_symbol209$$libQt5Core.so.5 + 228
    frame #9: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #45, name = 'amarok'
    frame #0: 0x000000080ade0dfa libc.so.7`__sys_read + 10
    frame #1: 0x000000080a5b9326 libthr.so.3`___lldb_unnamed_symbol40$$libthr.so.3 + 54
    frame #2: 0x000000080e901b5f libglib-2.0.so.0`___lldb_unnamed_symbol313$$libglib-2.0.so.0 + 63
    frame #3: 0x000000080e8ba784 libglib-2.0.so.0`g_main_context_check + 148
    frame #4: 0x000000080e8baef2 libglib-2.0.so.0`___lldb_unnamed_symbol117$$libglib-2.0.so.0 + 498
    frame #5: 0x000000080e8bafb4 libglib-2.0.so.0`g_main_context_iteration + 100
    frame #6: 0x000000080aaa1d9b libQt5Core.so.5`QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 139
    frame #7: 0x000000080aa443de libQt5Core.so.5`QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 462
    frame #8: 0x000000080a86c4a9 libQt5Core.so.5`QThread::exec() + 169
    frame #9: 0x000000080a86d4a4 libQt5Core.so.5`___lldb_unnamed_symbol209$$libQt5Core.so.5 + 228
    frame #10: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #46, name = 'amarok'
    frame #0: 0x000000080ad8312a libc.so.7`__sys_poll + 10
    frame #1: 0x000000080a5b9246 libthr.so.3`___lldb_unnamed_symbol38$$libthr.so.3 + 54
    frame #2: 0x000000080e8baea7 libglib-2.0.so.0`___lldb_unnamed_symbol117$$libglib-2.0.so.0 + 423
    frame #3: 0x000000080e8bafb4 libglib-2.0.so.0`g_main_context_iteration + 100
    frame #4: 0x000000080aaa1d9b libQt5Core.so.5`QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 139
    frame #5: 0x000000080aa443de libQt5Core.so.5`QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 462
    frame #6: 0x000000080a86c4a9 libQt5Core.so.5`QThread::exec() + 169
    frame #7: 0x000000080a86d4a4 libQt5Core.so.5`___lldb_unnamed_symbol209$$libQt5Core.so.5 + 228
    frame #8: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
  thread #47, name = 'amarok'
    frame #0: 0x000000080a5c4edc libthr.so.3`___lldb_unnamed_symbol190$$libthr.so.3 + 92
    frame #1: 0x000000080a5c2512 libthr.so.3`___lldb_unnamed_symbol159$$libthr.so.3 + 482
    frame #2: 0x000000080a875abb libQt5Core.so.5`___lldb_unnamed_symbol264$$libQt5Core.so.5 + 75
    frame #3: 0x000000080a8757fe libQt5Core.so.5`QWaitCondition::wait(QMutex*, QDeadlineTimer) + 126
    frame #4: 0x00000008026aff32 libQt5Widgets.so.5`___lldb_unnamed_symbol3041$$libQt5Widgets.so.5 + 146
    frame #5: 0x000000080a86d4a4 libQt5Core.so.5`___lldb_unnamed_symbol209$$libQt5Core.so.5 + 228
    frame #6: 0x000000080a5b6736 libthr.so.3`___lldb_unnamed_symbol1$$libthr.so.3 + 326
(lldb) detach
Process 1314 detached

Possible duplicates by query: bug 415640, bug 415339, bug 415110, bug 415109, bug 414974.

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2020-01-01 17:15:01 UTC
You do not appear to have debugging symbols installed, so the backtrace isn't of much help.

FWIW: which exact Amarok version did you try to install?
Comment 2 Bug Janitor Service 2020-01-16 04:33:10 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 3 Bug Janitor Service 2020-01-31 04:33:17 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!